﻿package com {
	
	import flash.display.*;
	import flash.events.*;
	import flash.net.*;
	
	public class TweetHolder extends MovieClip {
		
		public var userImg:String;
		
		public function TweetHolder() {
			this.addEventListener(Event.ADDED, init);
		}
		
		private function init(e:Event):void
		{
			this.removeEventListener(Event.ADDED, init);
			tweet_text.autoSize = "left";
			hit.height = tweet_text.height + tweet_text.y;
			
			var loader:Loader = new Loader();
			loader.contentLoaderInfo.addEventListener(Event.COMPLETE, addImage);
			loader.contentLoaderInfo.addEventListener(IOErrorEvent.IO_ERROR, onError);
			loader.load(new URLRequest(userImg));
			
			this.buttonMode = true;
			this.addEventListener(MouseEvent.CLICK, clickHandler);
		}
		
		private function clickHandler(e:MouseEvent):void
		{
			navigateToURL(new URLRequest("http://www.twitter.com/"+user_text.text), "_blank");
		}
		
		private function addImage(e:Event):void
		{
			Bitmap(e.currentTarget.content).smoothing = true;
			e.currentTarget.content.height = 40;
			e.currentTarget.content.width = 40;
			addChild(e.currentTarget.content);
		}
		
		private function onError(e:Event):void
		{
			trace("Image couldnt be loaded");
		}
	}
}